
From: Peter Chubb <peter@chubb.wattle.id.au>

Here're the rest of the filesystems. BEFS, intermezzo and SMBfs I left
off at the time I made the patch.



 fs/befs/linuxvfs.c            |    4 ++--
 fs/intermezzo/intermezzo_fs.h |    2 +-
 fs/smbfs/proc.c               |    2 +-
 fs/smbfs/proto.h              |    2 +-
 4 files changed, 5 insertions(+), 5 deletions(-)

diff -puN fs/befs/linuxvfs.c~statfs64-leftovers fs/befs/linuxvfs.c
--- 25/fs/befs/linuxvfs.c~statfs64-leftovers	2003-06-03 18:22:32.000000000 -0700
+++ 25-akpm/fs/befs/linuxvfs.c	2003-06-03 18:22:32.000000000 -0700
@@ -47,7 +47,7 @@ static int befs_nls2utf(struct super_blo
 			char **out, int *out_len);
 static void befs_put_super(struct super_block *);
 static int befs_remount(struct super_block *, int *, char *);
-static int befs_statfs(struct super_block *, struct statfs *);
+static int befs_statfs(struct super_block *, struct kstatfs *);
 static int parse_options(char *, befs_mount_options *);
 
 static const struct super_operations befs_sops = {
@@ -896,7 +896,7 @@ befs_remount(struct super_block *sb, int
 }
 
 static int
-befs_statfs(struct super_block *sb, struct statfs *buf)
+befs_statfs(struct super_block *sb, struct kstatfs *buf)
 {
 
 	befs_debug(sb, "---> befs_statfs()");
diff -puN fs/intermezzo/intermezzo_fs.h~statfs64-leftovers fs/intermezzo/intermezzo_fs.h
--- 25/fs/intermezzo/intermezzo_fs.h~statfs64-leftovers	2003-06-03 18:22:32.000000000 -0700
+++ 25-akpm/fs/intermezzo/intermezzo_fs.h	2003-06-03 18:22:32.000000000 -0700
@@ -530,7 +530,7 @@ int do_rename(struct presto_file_set *fs
               struct dentry *old_dentry, struct dentry *new_dir,
               struct dentry *new_dentry, struct lento_vfs_context *info);
 int presto_do_statfs (struct presto_file_set *fset,
-                      struct statfs * buf);
+                      struct kstatfs * buf);
 
 int lento_setattr(const char *name, struct iattr *iattr,
                   struct lento_vfs_context *info);
diff -puN fs/smbfs/proc.c~statfs64-leftovers fs/smbfs/proc.c
--- 25/fs/smbfs/proc.c~statfs64-leftovers	2003-06-03 18:22:32.000000000 -0700
+++ 25-akpm/fs/smbfs/proc.c	2003-06-03 18:22:32.000000000 -0700
@@ -3160,7 +3160,7 @@ smb_proc_settime(struct dentry *dentry, 
 }
 
 int
-smb_proc_dskattr(struct super_block *sb, struct statfs *attr)
+smb_proc_dskattr(struct super_block *sb, struct kstatfs *attr)
 {
 	struct smb_sb_info *server = SMB_SB(sb);
 	int result;
diff -puN fs/smbfs/proto.h~statfs64-leftovers fs/smbfs/proto.h
--- 25/fs/smbfs/proto.h~statfs64-leftovers	2003-06-03 18:22:32.000000000 -0700
+++ 25-akpm/fs/smbfs/proto.h	2003-06-03 18:22:32.000000000 -0700
@@ -29,7 +29,7 @@ extern int smb_proc_getattr(struct dentr
 extern int smb_proc_setattr(struct dentry *dir, struct smb_fattr *fattr);
 extern int smb_proc_setattr_unix(struct dentry *d, struct iattr *attr, unsigned int major, unsigned int minor);
 extern int smb_proc_settime(struct dentry *dentry, struct smb_fattr *fattr);
-extern int smb_proc_dskattr(struct super_block *sb, struct statfs *attr);
+extern int smb_proc_dskattr(struct super_block *sb, struct kstatfs *attr);
 extern int smb_proc_read_link(struct smb_sb_info *server, struct dentry *d, char *buffer, int len);
 extern int smb_proc_symlink(struct smb_sb_info *server, struct dentry *d, const char *oldpath);
 extern int smb_proc_link(struct smb_sb_info *server, struct dentry *dentry, struct dentry *new_dentry);

_
